<template>
  <j-modal
    :title="title"
    :width="width"
    :visible="visible"
    switchFullscreen
    @ok="handleOk"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭">
    <itdm-weituo-info-form ref="realForm" @ok="submitCallback" :disabled="disableSubmit"></itdm-weituo-info-form>
  </j-modal>
</template>

<script>

  import ItdmWeituoInfoForm from './ItdmWeituoInfoForm'
  export default {
    name: 'ItdmWeituoInfoModal',
    components: {
      ItdmWeituoInfoForm
    },
    data () {
      return {
        title:'',
        width:1300,
        visible: false,
        disableSubmit: false
      }
    },
    methods: {
      add () {

        sessionStorage.removeItem("data")
        sessionStorage.removeItem("yangpin")
        sessionStorage.removeItem("yangpinkz")

        sessionStorage.removeItem("count")
        sessionStorage.removeItem("count1")


        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.add();
        })
      },
      edit (record) {
        sessionStorage.removeItem("data")
        sessionStorage.removeItem("yangpin")
        sessionStorage.removeItem("yangpinkz")
        sessionStorage.removeItem("count")
        sessionStorage.removeItem("count1")
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.edit(record);
        })
      },
      close () {
        sessionStorage.removeItem("data")
        sessionStorage.removeItem("yangpin")
        sessionStorage.removeItem("yangpinkz")
        sessionStorage.removeItem("count")
        sessionStorage.removeItem("count1")
        this.$emit('close');
        this.visible = false;
      },
      handleOk () {
        this.$refs.realForm.submitForm();
      },
      submitCallback(){
        this.$emit('ok');
        this.visible = false;
      },
      handleCancel () {
        this.close()
      }
    }
  }
</script>